Bug 486259 - white space after chown_username value causes failure
white space after chown_username value causes failure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vsftpd (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Skala
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 23:25 EST by Jason
Modified: 2014-11-09 17:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2009-02-18 23:25:56 EST
Description of problem:
If chown_upload and chown_username are enabled in /etc/vsftpd/vsftpd.conf and the value entered for chown_username is trailed by whitespaces the username cannot be found by vsftpd.

Version-Release number of selected component (if applicable):
vsftpd-2.0.5-12.el5

How reproducible:
Always

Steps to Reproduce:
1. Uncomment the two lines in /etc/vsftpd/vsftpd.conf and add a space after username ftp (change 'chown_username=ftp' to 'chown_username=ftp '), and save changes:

chown_upload=yes
chown_username=ftp 

2. service restart vsftpd
3. attempt to login
  
Actual results:
Connected to 192.168.1.207.
500 OOPS: vsftpd: cannot locate user specified in 'chown_username':ftp 
ftp> 

Expected results:
Connected to 192.168.1.207.
220 (vsFTPd 2.0.7)
Name (192.168.1.207:jason): 

Additional info:
Happens in 2.0.5 (RHEL5.1, RHEL5.3) and 2.07 (Fedora 11) that I know of.
Comment 7 errata-xmlrpc 2009-09-02 05:39:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1282.html

Note You need to log in before you can comment on or make changes to this bug.